Suspected Vulnerabilities
Retrieve a specific suspected vulnerability
Fetches detailed information for a single suspected vulnerability by its unique identifier. Returns comprehensive vulnerability data including metadata, triage information, and related assets.
GET
/
v1
/
organizations
/
{organizationUid}
/
suspected-vulnerabilities
/
{id}
Retrieve a specific suspected vulnerability
curl --request GET \
--url https://client.synack.com/api/vulnerability/v1/organizations/{organizationUid}/suspected-vulnerabilities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://client.synack.com/api/vulnerability/v1/organizations/{organizationUid}/suspected-vulnerabilities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client.synack.com/api/vulnerability/v1/organizations/{organizationUid}/suspected-vulnerabilities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suspectedVulnerability": {
"id": 2000,
"assetUid": "ah28034gsjdf98eqwgbjufj",
"listingUid": "ah28034gsjdf",
"listingCodename": "ACME-H001",
"organizationUid": "ah28034gsjdf",
"categoryInScope": true,
"confidence": "firm",
"cvssBase": 5.4,
"exploitableLocations": [
{}
],
"falsePositive": true,
"payload": {},
"referenceUrls": [
"https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/monitoring_ec2.html",
"https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DescribeInstances.html"
],
"severity": "low",
"source": "synack",
"sourceId": "job-abc-123",
"vulnerabilityStatusId": 123,
"reasonTitle": "<string>",
"reasonDescription": "<string>",
"automatedTriageStatus": "<string>",
"automatedTriageStatusUpdatedAt": "2023-12-25T15:45:30.123Z",
"cves": [
"CVE-2025-1238923"
],
"cwes": [
"CWE-1238923"
],
"status": "<string>",
"typeId": "Type-69d55e",
"typeTitle": "SQL Injection",
"typeCategoryId": "<string>",
"typeCategoryParentName": "<string>",
"typeCategoryChildName": "<string>",
"typeDescription": "<string>",
"exploitableVulnerabilityId": "test_e859b6a8371c-m001-4",
"createdAt": "2023-12-25T15:45:30.123Z",
"lastDetectedAt": "2023-12-25T15:45:30.123Z",
"triageIneligibleReason": "Triage already started or performed.",
"solution": "Microsoft has released security update KB5002113 to address this issue.",
"vendorRiskScore": 1.3,
"triages": [
{
"id": "<string>",
"content": {
"thoughts": [
{
"triageId": "<string>",
"targetId": "<string>",
"thoughtId": "<string>",
"thoughtType": "<string>",
"thoughtContent": "<string>",
"toolExecution": {
"name": "<string>",
"input": "<string>",
"output": "<string>",
"error": "<string>"
},
"block": {
"parentThoughtId": "<string>",
"predecessorThoughtId": "<string>"
},
"addedAt": "2023-11-07T05:31:56Z"
}
],
"report": "<string>"
}
}
]
},
"metadata": {
"pagination": {
"total": 123,
"page": 123,
"perPage": 123,
"totalPages": 123,
"prev": "<string>",
"next": "<string>",
"first": "<string>",
"last": "<string>",
"self": "<string>"
},
"actions": {}
}
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier for the organization that owns the vulnerability being retrieved
Unique identifier for the specific suspected vulnerability to retrieve
Response
Successfully retrieved detailed information for a single suspected vulnerability, including associated triage data and related metadata.
⌘I
Retrieve a specific suspected vulnerability
